// RSESCIScanMeasurementDlg.h : header file
//

#include "rsesci.h"
#include "resource.h"
#include "threads.h"

//{{AFX_INCLUDES()
#include "NiGraph.h"
//}}AFX_INCLUDES

#if !defined(AFX_RSESCISCANMEASUREMENTDLG_H__47A45DD0_35C3_4606_BA3D_3A693642E190__INCLUDED_)
#define AFX_RSESCISCANMEASUREMENTDLG_H__47A45DD0_35C3_4606_BA3D_3A693642E190__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRSESCIScanMeasurementDlg dialog

class CRSESCIScanMeasurementDlg : public CDialog
{
// Construction
public:
	CRSESCIScanMeasurementDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRSESCIScanMeasurementDlg)
	enum { IDD = IDD_RSESCISCANMEASUREMENT_DIALOG };
	CButton			m_Start;
	CButton			m_Abort;
	CStatic			m_Label;
	CString			m_RessString;
	int				m_Reset;
	int				m_Mode1;
	int				m_Mode2;
	int				m_Detector1;
	int				m_Detector2;
	CNiGraph		m_Graph;
	int				m_Domain;
	int				m_Query;
	int				m_Count;
	double			m_XStart;
	double			m_XStop;
	ViSession		m_InstrSession;
	TThreadData		m_ThreadData;
	CNiReal64Vector m_Vector1_1,m_Vector1_2,m_Vector2_1,m_Vector2_2;
	double			m_xFirstIncrement, m_xSecondIncrement;

	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRSESCIScanMeasurementDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT OnUserMessage(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRSESCIScanMeasurementDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnAbort();
	afx_msg void OnStart();
	//afx_msg void MemoryCleanup();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RSESCISCANMEASUREMENTDLG_H__47A45DD0_35C3_4606_BA3D_3A693642E190__INCLUDED_)
